Commits

abudden committed d77bf78

Added script to publish to bitbucket and github.

  • Participants
  • Parent commits 47ce10c

Comments (0)

Files changed (1)

File dist/vcs_publish.sh

+#!/bin/bash
+
+BBUSER=abudden
+BBPROJ=taghighlight
+GHUSER=abudden
+GHPROJ=TagHighlight
+
+BITBUCKET=ssh://hg@bitbucket.org/${BBUSER}/${BBPROJ}
+GITHUB=git+ssh://git@github.com:${GHUSER}/${GHPROJ}.git
+
+hg push $BITBUCKET
+# Only fail on error, not on "no changes to push"
+if [ $? -gt 1 ]
+then
+	exit 255
+fi
+
+hg push $GITHUB
+# Only fail on error, not on "no changes to push"
+if [ $? -gt 1 ]
+then
+	exit 255
+fi